Create a new LinkedIn lead gen form for an ad account

http
POST https://services.leadconnectorhq.com/ad-publishing/linkedin/{accountId}/form

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesHChooFuiyPpVYzeJ4HMeAccount identifier

Body

NameTypeRequiredExampleDescription
ownerobjectYesForm owner
creationLocaleobjectYesCreation locale
namestringYesContact UsForm name
statestringYesPUBLISHEDForm state Possible values: 'PUBLISHED'
contentobjectYesForm content
  • hiddenFields (object[]): Hidden fields

    • name (string, required): Field name Example: utm_source

    • value (string, required): Field value Example: linkedin

Responses

201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/linkedin/YOUR_accountId/form' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Contact Us",
  "state": "PUBLISHED",
  "hiddenFields": [
    {
      "name": "utm_source",
      "value": "linkedin"
    }
  ]
}'

Last updated October 26, 2026

Was this page helpful?